DOMAIN2IDNA(1)

NAME
domain2idna - tool to convert domains to IDNA format

SYNOPSIS
domain2idna [POSITION] [argument]

DESCRIPTION
fBdomain2idna The tool to convert a domain or a file with a list of domain can

This project provides a tool for list or hosts file maintainer that converts domain

to the Punycode/IDNA format. With domain2idna you can do:

  * Read a given domain and convert it to the Punycode/IDNA format.

  * Read a given URL and convert its base to Punycode/IDNA format.

  * Read a file and convert all non-commented line to the Punycode/IDNA format.

  * Print the converted data on the screen.

  * Save into a file the converted data.

  * Return the converted data (when used as a module).

  * Ignore commented inputs (starts with #).

USAGE
usage: omain2idna [-h] [ -s -SUBJECT [SUBJECT ...]] [ -e ENCODING] [-f FILE]
optional arguments:

   -h, --help show this help message and exit

   -s SUBJECT [SUBJECT ...], --subject SUBJECT [SUBJECT ...]. Sets the subjects to convert.

   -e ENCODING, --encoding ENCODING. Sets the encoding to use.

   -f FILE, --file FILE. Sets the file to read to get the domain(s) to convert.

   -o OUTPUT, --output OUTPUT. Sets the file where we write the converted domain(s).

   -v, --version Show program's version number and exit

EXAMPLES

    domain2idna -f file

SEE ALSO

Take a look at https://domain2idna.readthedocs.io/en/latest/usage.html

for information on how to use.

AUTHOR
domain2idna Project https://github.com/PyFunceble/domain2idna/issues

Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com> Created this

man‐page generated automatically by pandoc to generate the manual file.